QGIS Application - Bug report #8700
Double clicking to add a layer is inconsistent
2013-09-26 10:14 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 17421
Description

When double clicking on a table/file/layer to add it from its respective dialog, one of several possible things happens:

Add Vector Layer:
- Double clicking a file closes the "Open an OGR supported Vector Layer" dialog but keeps open the "Add vector layer” dialog.

Add Raster Layer:
- Double clicking a raster closes the dialog and adds the file immediately to QGIS.

Add Oracle / SpatialL.ite tables (maybe the other databases too?)
- Double clicking a table brings up a "Query Builder" for that table.

Add WMS and Add WCS
- Double clicking does nothing.

Add WFS
- Opens up "Expression string builder" dialog

To me at least this is very wrong. They should all behave in the exact same way when | double click something.

Personally I'd say the raster way is the correct one - that's how all other applications work when | double click something to add, be it a
GIS or a text editor or anything.

| appreciate why opening query/expression builders may be useful, but | don't think it should be the default action on double-clicking.

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then
close the ticket. Thanks!

#3 - 2018-08-16 12:09 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed
- Description updated

Closing for lack of feedback.
